   b)Internal Program Memory.
                Addr    Function
                0000H   Reset/Standby Release.
                0004H   IRQ0.
                0008H   IRQ1.
                0010H   IRQ2.
                0018H   IRQ3.
                0020H   IRQ4.
                0028H   IRQ5.
                0060H   Soft INT.
               ZD               DD?
        Call   30080H   Low  ADDR 3 t=0
        Tabl   30081H   High ADDR 3
               3.............   DDY
               3.............   DD?
               300BEH   Low  ADDR 3 t=31
               300BFH   High ADDR 3
               @D               DDY

2. Registers.
     ZDDDDDDDDDDDDD?
     3     PC      3
     CDDDDDDDDDDDDD4
     3     SP      3
     CDDDDDDDDDDDDD4
     3     EA      3
     CDDDDDDBDDDDDD4
     3  V   3   A  3
     CDDDDDDEDDDDDD4
     3  B   3   C  3
     CDDDDDDEDDDDDD4
     3  D   3   E  3
     CDDDDDDEDDDDDD4
     3  H   3   L  3
     CDDDDDDADDDDDD4
     3     EA'     3
     CDDDDDDBDDDDDD4
     3  V'  3   A' 3
     CDDDDDDEDDDDDD4
     3  B'  3   C' 3
     CDDDDDDEDDDDDD4
     3  D'  3   E' 3
     CDDDDDDEDDDDDD4
     3  H'  3   L' 3
     @DDDDDDADDDDDDY

3.
  Operand Symbols.
  DDDDDDDDDDDDDDDD
  DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
  Symbol            Allowable Operands
  DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
  Registers
  DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
  r     V,A,B,C,D,E,H,L
  r1    EAH,EAL,B,C,D,E,H,L
  r2    A,B,C
  DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
  Special Registers
  DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
  sr    PA,PB,PC,PD,PF,MKH,MKL,ANM,SMH,SML,EOM,
        ETMM,TMM,MM,MMC,MA,MC,MF,TXB,
        TM0,TM1,ZCM
  
  sr1   PA,PB,PC,PD,PF,MKH,MKL,ANM,SMH,EOM,TMM,RXB,
        CR0,CR1,CR2,CR3

  sr2   PA,PB,PC,PD,PF,MKH,ANM,MKL,SMH,EOM,TMM
  sr3   ETM0,ETM1
  sr4   ECNT,ECPT
  DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
  Registers Pairs
  DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
  rp    SP,B,D,H
  rp1   V,B,D,H,EA
  rp2   SP,B,D,H,EA
  rp3   B,D,H
  DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
  Registers Pairs Addressing
  DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
  rpa   B,D,H,D+,H+,D-,H-
  rpa1  B,D,H
  rpa2  B,D,H,D+,H+,D-,H-,D+Byte,H+A,H+B,H-EA,H+Byte
  rpa3  D,H,D++,H++,D+Byte,H+A,H+B,H+EA,H+Byte
  DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
  Flags
  DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
  f     CY,HC,Z
  DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
  Interrapt Flags
  DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
  irf   INTFNMI,INTFT0,INTFT1,INTF0,INTF2,INTFE0,INTFE1,
        INTFEIN,INTFAD,INTFSR,INTFST,ER,OV,AN4,AN5,AN6,
        AN7,SB
  DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
  Immediate Data
  DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
  wa    8- bit immediate data(low byte of working register addres)
  word  16-bit immediate data
  byte  8- bit immediate data
  bit   8- bit immediate data(b2,b1,b0)
  DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD

  Operand Definitons.
  DDDDDDDDDDDDDDDDDDD
  DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
  Special Registers (sr-sr4)
  DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
  PA   = Port A                 ECNT = Timer/event counter upcounter
  PB   = Port B                 ECPT = Timer/event counter cupture
  PC   = Port C                 ETMM = Timer/event counter mode
  PD   = Port D                 EOM  = Timer/event counter output
  PF   = Port F                        mode
  MA   = Mode A
  MB   = Mode B
  MC   = Mode C
  MCC  = Mode control C
  MF   = Mode F
                                TXB   = Transmit buffer
  MM   = Memory mapping         RXB   = Recive buffer
  TM0  = Timer register 0       SMH   = Serial mode high
  TM1  = Timer register 1       SML   = Serial mode low 
  TMM  = Timing mode            MKH   = Mask high
  ETM0 = Timer/event counter    MKL   = Mask low
         register 0             ANM   = A/D chanel mode
  ETM1 = Timer/event counter    CR0 to CR3 = A/D conversion result 0-3
         register 1
  ZCM  = Zero-cross mode 
         control register       
  DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
  Register Pairs (rp-rp3)
  DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
  SP = Stack pointer    H  = HL
  B  = BC               V  = VA
  D  = DE               EA = Extended accumulator
  DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
  Registers Pairs Addressing (rpa-rpa3)
  DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
  B  = (BC)             D++    = (DE)++
  D  = (DE)             H++    = (HL)++
  H  = (HL)             D+byte = (DE+byte)
  D+ = (DE)+            H+byte = (HL+byte)
  H+ = (HL)+            H+A    = (HL+A)
  D- = (DE)-            H+B    = (HL+B)
  H- = (HL)-            H+EA   = (HL+EA)
  DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
  Falgs (f)
  DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
  CY = Carry    HC = Half-carry         Z = Zero
  DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
  Interrapt Flags (irf)
  DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
  INTFNMI = NMI interupt flag   INTFEIN    = FEIN
                                INTFAD     = FAD
  INTFT0  = FT0                 INTFSR     = FSR
  INTFT1  = FT1                 INTFST     = FST
  INTF1   = F1                  ER         = Error                  
  INTF2   = F2                  OV         = Overflow                 
  INTFE0  = FE0                 AN4 to AN7 = Analog input 4-7                 
  INTFE1  = FE1                 SB         = Standby
  DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD

  Operand Codes.
  DDDDDDDDDDDDDD
  DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
  Registers (r,r2)
  DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
  R2  R1  R0  Reg   r   r2
  DDBDDDDDDDDDDDD     
  0 3 0   0   V    DBD   
  0 3 0   1   A     3  DBD
  0 3 1   0   B     3   3
  0 3 1   1   C     3  DAD
    @DDDDDDDDDDD    3
  1   0   0   D     3
  1   0   1   E     3
  1   1   0   H     3
  1   1   1   L    DAD
  DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
  Registers (r1)
  DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
  T2  T1  T0  Reg
  DDDDDDDDDDDDDDD
  0   0   0   EAH
  0   0   1   EAL
  0   1   0    B
  0   1   1    C
  1   0   0    D
  1   0   1    E
  1   1   0    H
  1   1   1    L
  DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
  Special Registers (sr,sr1,sr2)
  DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
  S5  S4  S3  S2  S1  S0  Special Reg    sr   sr1   sr2
  DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD   DBD   DBD   DBD
  0   0   0   0   0   0   PA             3     3     3
  0   0   0   0   0   1   PB             3     3     3
  0   0   0   0   1   0   PC             3     3     3
  0   0   0   0   1   1   PD             3     3     3
  0   0   0   1   0   1   PF             3     3     3
  0   0   0   1   1   0   MKH            3     3     3
  0   0   0   1   1   1   MKL            3     3     3
  0   0   1   0   0   0   ANM            3     3     3
  0   0   1   0   0   1   SMN            3     3     3
  DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD    3    DAD   DAD
  0   0   1   0   1   0   SML            3
  DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD    3    DBD   DBD
  0   0   1   0   1   1   EOM            3     3     3
  DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD    3    DAD   DAD
  0   0   1   1   0   0   ETMM           3
  DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD    3    DBD   DBD
  0   0   1   1   0   1   TMM            3     3     3
  DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD    3    DAD   DAD
  0   1   0   0   0   0   MM             3
  0   1   0   0   0   1   MCC            3
  0   1   0   0   1   0   MA             3
  0   1   0   0   1   1   MB             3
  0   1   0   1   0   0   MC             3
  0   1   0   1   1   1   MF             3
  0   1   1   0   0   0   TXB            3
  DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD   DAD   DBD
  0   1   1   0   0   1   RXB                  3
  DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD   DBD   DAD
  0   1   1   0   1   0   TM0            3
  0   1   1   0   1   1   TM1            3
  DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD   DAD   DBD
  1   0   0   0   0   0    CR0                 3
  1   0   0   0   0   1    CR1                 3
  1   0   0   0   1   0    CR2                 3
  1   0   0   0   1   1    CR3                 3
  DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD   DBD   DAD
  1   0   1   0   0   0    ZCM           3
  DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD   DAD
  DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
  Special Registers (sr3)
  DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
  U0   Special Reg 
  DDDDDDDDDDDDDDDD
  0    ETM0
  1    ETM1
  DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
  Special Registers (sr4)
  DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
  V0   Special Reg
  DDDDDDDDDDDDDDDD
  0    ECNT
  1    ECPT
  DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
  Register Pairs (rp,rp2,rp3)
  DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
  P2   P1   P0   Reg Pair
  DDDDDDDDDDDDDDDDDDDDDDD
  0 3  0    0    SP
  0 3  0    1    BC
  0 3  1    0    DE
  0 3  1    1    HL
    @DDDDDDDDDDDDDDDDDDDD
  1    0    0    EA
  DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
  Register Pairs (rp1)
  DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
  Q2   Q1   Q0   Reg Pair
  DDDDDDDDDDDDDDDDDDDDDDD
  0    0    0    VA
  0    0    1    BC
  0    1    0    DE
  0    1    1    HL
  1    0    0    EA
  DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
  Registers Pairs Addressing (rpa,rpa1,rpa2)
  DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
  A3   A2   A1   A0   Addressing   rpa   rpa1   rpa2
  DDDDDDDDDDDDDDDDDDDDDDDDDDDDDD   DBD   DBD    DBD
  0 3  0  3 0    0    -             3     3      3
  0 3  0  3 0    1    (BC)          3     3      3
  0 3  0  3 1    0    (DE)          3     3      3
  0 3  0  3 1    1    (HL)          3     3      3
    3     @DDDDDDDDDDDDDDDDDDDDD    3    DAD     3
  0 3  1    0    0    (DE)+         3            3
  0 3  1    0    1    (HL)+         3            3
  0 3  1    1    0    (DE)-         3            3
  0 3  1    1    1    (HL)-         3            3
    @DDDDDDDDDDDDDDDDDDDDDDDDDDD   DAD           3
  1    0    1    1    (DE+byte)                  3
  1    1    0    0    (HL+A)                     3
  1    1    0    1    (HL+B)                     3
  1    1    1    0    (HL+EA)                    3
  1    1    1    1    (HL+byte)                  3
  DDDDDDDDDDDDDDDDDDDDDDDDDDDDDD                DAD
  DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
  Registers Pairs Addressing (rpa3)
  DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
  C3   C2   C1   C0   Addressing 
  DDDDDDDDDDDDDDDDDDDDDDDDDDDDDD 
  0    0    1    0    (DE)
  0    0    1    1    (HL)
  0    1    0    0    (DE)++
  0    1    0    1    (HL)++
  1    0    1    1    (DE+byte)
  1    1    0    0    (HL+A)
  1    1    0    1    (HL+B)
  1    1    1    0    (HL+EA)
  1    1    1    1    (HL+byte)
  DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD

  Operand Codes (cont).
  DDDDDDDDDDDDDDDDDDDDD
  DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
  Flags (f)
  DDDDDDDDDDDDDDDDDDD
  F2   F1   F0   Flag
  DDDDDDDDDDDDDDDDDDD
  0    0    0    -
  0    1    0    CY
  0    1    1    HC
  1    0    0    Z
  DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
  Interrapt Flags (irf)
  DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
  I4   I3   I2   I1   I0   Flag
  DDDDDDDDDDDDDDDDDDDDDDDDDDDDD
  0    0    0    0    0    NMI
  0    0    0    0    1    FT0
  0    0    0    1    0    FT1
  0    0    0    1    1    F1
  0    0    1    0    0    F2
  0    0    1    0    1    FE0
  0    0    1    1    0    FE1
  0    0    1    1    1    FEIN
  0    1    0    0    0    FAD
  0    1    0    0    1    FSR
  0    1    0    1    0    FST
  0    1    0    1    1    ER
  0    1    1    0    0    OV

  1    0    0    0    0    AN4 
  1    0    0    0    1    AN5 
  1    0    0    1    0    AN6 
  1    0    0    1    1    AN7 
  1    0    1    0    0    SB 
  DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD

  Graphic Symbols.
  DDDDDDDDDDDDDDDD
  DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
  Symbol        Description
  DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
  <-            Transfer direction,result
  DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
  @             Logical product (logical AND)
  DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
  &             Logical sum (logical OR)
  DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
  #             Exclusive - OR
  DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
  -             Complement
  DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
  *             Concatenation
  DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD

4. Instruction Set.
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
                                             Operation Code
                                  DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
                                             B1                        B2
                                             DD                        DD               
                                             B3                        B4               
                                                                                                Skip                      
 Mnemonic  Operand  Operation      7  6  5  4  3  2  1  0     7  6  5  4  3  2  1  0    Bytes   Condition                  
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 8-Bit Data Transfer                                                                                     
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 MOV    r1,A    (r1) <- (A)        0  0  0  1  1  T2 T1 T0                              1
        DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
        A,r1    (A)  <- (r1)       0  0  0  0  1  T2 T1 T0                              1
        DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
        *sr,A   (sr) <- (A)        0  1  0  0  1  1  0  1     1  1  S5 S4 S3 S2 S1 S0   2
        DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
        A,*sr1  (A)  <- (sr1)      0  1  0  0  1  1  0  0     1  1  S5 S4 S3 S2 S1 S0   2
        DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
        r,word  (r)  <- (word)     0  1  1  1  0  0  0  0     0  1  1  0  1  R2 R1 R0    4
                                   DDDDDDDDDDDDDDDDDDDDDD     DDDDDDDDDDDDDDDDDDDDDDD
                                         Low addr                   High addr
        DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
        word,r  (word) <- (r)      0  1  1  1  0  0  0  0     0  1  1  1  1  R2 R1 R0    4
                                   DDDDDDDDDDDDDDDDDDDDDD     DDDDDDDDDDDDDDDDDDDDDDD
                                         Low addr                   High addr
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 MVI    *r,byte (r) <- byte        0  1  1  0  1  R2 R1 R0    Data                       2
        DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
        sr2,byte (sr2) <- byte     0  1  1  0  0  1  0  0     S3 0  0  0  0  S2 S1 S0    3
                                   DDDDDDDDDDDDDDDDDDDDDD     DDDDDDDDDDDDDDDDDDDDDDD
                                         Data
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 MVIW   *wa,byte ((V)*(wa))<-byte  0  1  1  1  0  0  0  1            Ofset               3
                                   DDDDDDDDDDDDDDDDDDDDDD     DDDDDDDDDDDDDDDDDDDDDDD
                                         Data
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 MVIX   *rpa1,byte (rpa1)<-byte    0  1  0  0  1  0  A1 A0           Data                2
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 STAW   *wa     ((V)*(wa))<-(A)    0  1  1  0  0  0  1  1            Ofset               2
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 LDAW   *wa     (A)<-((V)*(wa))    0  0  0  0  0  0  0  1            Ofset               2
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 STAX   *rpa2   ((rpa2))<-(A)      A3 0  1  1  1  A2 A1 A0           Data(Note1)         2
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 LDAX   *rpa2   (A)<-((rpa2))      A3 0  1  0  1  A2 A1 A0           Data(Note1)         2
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 EXX       (B)<->(B'),(C)<->(C'),  0  0  0  1  0  0  0  1                                1
           (D)<->(D'),(E)<->(E'),
           (H)<->(H'),(L)<->(L')
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 EXA       (V)<->(V'),(A)<->(A'),  0  0  0  1  0  0  0  0                                1
           (EA)<->(EA')
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 EXH       (H)<->(H'),(L)<->(L')   0  1  0  1  0  0  0  0                                1
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 BLOCK     ((DE))<-((HL)),         0  0  1  1  0  0  0  1                                1
           (DE)<-(DE)+1,
           (HL)<-(HL)+1,(C)<-(C)-1
           End if borrow
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 16-Bit Data Transfer  
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 DMOV   rp3,EA (rp3)<-(EA)         1  0  1  1  0  1  P1 P0                               1
        DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
        EA,rp3 (EA)<-(rp3)         1  0  1  0  0  1  P1 P0                               1
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 Notes:
 (1) B2(Data):rpa2=D+byte or H+Byte. (2) B3(Data):rpa3=D+byte or H+Byte.

 Instruction Set (cont).
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
                                             Operation Code
                                  DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
                                             B1                        B2
                                             DD                        DD               
                                             B3                        B4               
                                                                                                Skip                      
 Mnemonic  Operand  Operation      7  6  5  4  3  2  1  0     7  6  5  4  3  2  1  0    Bytes   Condition                  
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 16-Bit Data Transfer (cont)                                                                                     
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 DMOV   sr3,EA (sr3)<-(EA)         0  1  0  0  1  0  0  0     1  1  0  1  0  0  1  U0    2
        DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 DMOV   EA,sr4 (EA)<-(sr4)         0  1  0  0  1  0  0  0     1  1  0  0  0  0  0  V0    2
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 SBCD   word   (word)<-(BC)        0  1  1  1  0  0  0  0     0  0  0  1  1  1  1  0     4
                                   DDDDDDDDDDDDDDDDDDDDDD     DDDDDDDDDDDDDDDDDDDDDDD
                                         Low addr                   High addr
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 SDED   word   (word)<-(DE)        0  1  1  1  0  0  0  0     0  0  1  0  1  1  1  0     4
                                   DDDDDDDDDDDDDDDDDDDDDD     DDDDDDDDDDDDDDDDDDDDDDD
                                         Low addr                   High addr
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 SHLD   word   (word)<-(HL)        0  1  1  1  0  0  0  0     0  0  1  1  1  1  1  0     4
                                   DDDDDDDDDDDDDDDDDDDDDD     DDDDDDDDDDDDDDDDDDDDDDD
                                         Low addr                   High addr
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 SSPD   word   (word)<-(SP)        0  1  1  1  0  0  0  0     0  0  0  0  1  1  1  0     4
                                   DDDDDDDDDDDDDDDDDDDDDD     DDDDDDDDDDDDDDDDDDDDDDD
                                         Low addr                   High addr
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 STEAX  rpa3   ((rpa3))<-(EA)      0  1  0  0  1  0  0  0     1  0  0  1  C3 C2 C1 C0    3
                                   DDDDDDDDDDDDDDDDDDDDDD
                                         Data(Note2)
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 LBCD   word   (BC)<-(word)        0  1  1  1  0  0  0  0     0  0  0  1  1  1  1  1     4
                                   DDDDDDDDDDDDDDDDDDDDDD     DDDDDDDDDDDDDDDDDDDDDDD
                                         Low addr                   High addr
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 LDED   word   (DE)<-(word)        0  1  1  1  0  0  0  0     0  0  1  0  1  1  1  1     4
                                   DDDDDDDDDDDDDDDDDDDDDD     DDDDDDDDDDDDDDDDDDDDDDD
                                         Low addr                   High addr
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 LHLD   word   (HL)<-(word)        0  1  1  1  0  0  0  0     0  0  1  1  1  1  1  1     4
                                   DDDDDDDDDDDDDDDDDDDDDD     DDDDDDDDDDDDDDDDDDDDDDD
                                         Low addr                   High addr
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 LSPD   word   (SP)<-(word)        0  1  1  1  0  0  0  0     0  0  0  0  1  1  1  1     4
                                   DDDDDDDDDDDDDDDDDDDDDD     DDDDDDDDDDDDDDDDDDDDDDD
                                         Low addr                   High addr
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 LDEAX  rpa3   (EA)<-((rpa3))      0  1  0  0  1  0  0  0     1  0  0  0  C3 C2 C1 C0    3
                                   DDDDDDDDDDDDDDDDDDDDDD
                                         Data(Note 2)
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 PUSH   rp1    ((SP))<-(rp1),      1  0  1  1  0  Q2 Q1 Q0                               1
               (SP)<-(SP)-2
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 POP    rp1    ((rp1))<-(SP),      1  0  1  0  0  Q2 Q1 Q0                               1
               (SP)<-(SP)+2
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 LXI    *rp2,word (rp2)<-(word)    0  P2 P1 P0 0  1  0  0           Low byte             3
                                   DDDDDDDDDDDDDDDDDDDDDD     DDDDDDDDDDDDDDDDDDDDDDD
                                         High byte                  
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 TABLE  (BC)<-(((PC)+3+(A)))       0  1  0  0  1  0  0  0     1  0  1  0  1  0  0  0     2
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 8-Bit Arithmetic [Register]
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 ADD    A,r     (A)<-(A)+(r)       0  1  1  0  0  0  0  0     1  1  0  0  0  R2 R1 R0    2
        DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
        r,A     (r)<-(r)+(A)       0  1  1  0  0  0  0  0     0  1  0  0  0  R2 R1 R0    2
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 ADC    A,r     (A)<-(A)+(r)+(CY)  0  1  1  0  0  0  0  0     1  1  0  1  0  R2 R1 R0    2
        DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
        r,A     (r)<-(r)+(A)+(CY)  0  1  1  0  0  0  0  0     0  1  0  1  0  R2 R1 R0    2
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD

 Instruction Set (cont).
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
                                             Operation Code
                                  DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
                                             B1                        B2
                                             DD                        DD               
                                             B3                        B4               
                                                                                                Skip                      
 Mnemonic  Operand  Operation      7  6  5  4  3  2  1  0     7  6  5  4  3  2  1  0    Bytes   Condition                  
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 8-Bit Arithmetic [Register]  (cont)                                                                                     
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 ADDNC  A,r     (A)<-(A)+(r)       0  1  1  0  0  0  0  0     1  0  1  0  0  R2 R1 R0    2      No carry
        DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
        r,A     (r)<-(r)+(A)       0  1  1  0  0  0  0  0     0  0  1  0  0  R2 R1 R0    2      No carry
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 SUB    A,r     (A)<-(A)-(r)       0  1  1  0  0  0  0  0     1  1  1  0  0  R2 R1 R0    2
        DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
        r,A     (r)<-(r)-(A)       0  1  1  0  0  0  0  0     0  1  1  0  0  R2 R1 R0    2
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 SBB    A,r     (A)<-(A)-(r)-(CY)  0  1  1  0  0  0  0  0     1  1  1  1  0  R2 R1 R0    2
        DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
        r,A     (r)<-(r)-(A)-(CY)  0  1  1  0  0  0  0  0     0  1  1  1  0  R2 R1 R0    2
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 SUBNB  A,r     (A)<-(A)-(r)       0  1  1  0  0  0  0  0     1  0  1  1  0  R2 R1 R0    2      No borrow
        DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
        r,A     (r)<-(r)-(A)       0  1  1  0  0  0  0  0     0  0  1  1  0  R2 R1 R0    2      No borrow
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 ANA    A,r     (A)<-(A)@(r)       0  1  1  0  0  0  0  0     1  0  0  0  1  R2 R1 R0    2
        DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
        r,A     (r)<-(r)@(A)       0  1  1  0  0  0  0  0     0  0  0  0  1  R2 R1 R0    2
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 ORA    A,r     (A)<-(A)&(r)       0  1  1  0  0  0  0  0     1  0  0  1  1  R2 R1 R0    2
        DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
        r,A     (r)<-(r)&(A)       0  1  1  0  0  0  0  0     0  0  0  1  1  R2 R1 R0    2
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 XRA    A,r     (A)<-(A)#(r)       0  1  1  0  0  0  0  0     1  0  0  1  0  R2 R1 R0    2
        DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
        r,A     (r)<-(r)#(A)       0  1  1  0  0  0  0  0     0  0  0  1  0  R2 R1 R0    2
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 GTA    A,r     (A)-(r)-1          0  1  1  0  0  0  0  0     1  0  1  0  1  R2 R1 R0    2      No borrow
        DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
        r,A     (r)-(A)-1          0  1  1  0  0  0  0  0     0  0  1  0  1  R2 R1 R0    2      No borrow
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 LTA    A,r     (A)-(r)            0  1  1  0  0  0  0  0     1  0  1  1  1  R2 R1 R0    2      Borrow
        DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
        r,A     (r)-(A)            0  1  1  0  0  0  0  0     0  0  1  1  1  R2 R1 R0    2      Borrow
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 NEA    A,r     (A)-(r)            0  1  1  0  0  0  0  0     1  1  1  0  1  R2 R1 R0    2      No zero
        DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
        r,A     (r)-(A)            0  1  1  0  0  0  0  0     0  1  1  0  1  R2 R1 R0    2      No zero
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 EQA    A,r     (A)-(r)            0  1  1  0  0  0  0  0     1  1  1  1  1  R2 R1 R0    2      Zero
        DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
        r,A     (r)-(A)            0  1  1  0  0  0  0  0     0  1  1  1  1  R2 R1 R0    2      Zero
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 ONA    A,r     (A)@(r)            0  1  1  0  0  0  0  0     1  1  0  0  1  R2 R1 R0    2      No zero
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 OFFA   A,r     (A)@(r)            0  1  1  0  0  0  0  0     1  1  0  1  1  R2 R1 R0    2      Zero
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 8-Bit Arithmetic [Memory]                                                                                     
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 ADDX   rpa  (A)<-(A)+((rpa))      0  1  1  1  0  0  0  0     1  1  0  0  0  A2 A1 A0    2
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 ADCX   rpa  (A)<-(A)+((rpa))+(CY) 0  1  1  1  0  0  0  0     1  1  0  1  0  A2 A1 A0    2
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 ADDNCX rpa  (A)<-(A)+((rpa))      0  1  1  1  0  0  0  0     1  0  1  0  0  A2 A1 A0    2      No carry
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 SUBX   rpa  (A)<-(A)-((rpa))      0  1  1  1  0  0  0  0     1  1  1  0  0  A2 A1 A0    2
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 SBBX   rpa  (A)<-(A)-((rpa))      0  1  1  1  0  0  0  0     1  1  1  1  0  A2 A1 A0    2
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 SUBNBX rpa  (A)<-(A)-((rpa))      0  1  1  1  0  0  0  0     1  0  1  1  0  A2 A1 A0    2      No borrow
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 ANAX   rpa  (A)<-(A)@((rpa))      0  1  1  1  0  0  0  0     1  0  0  0  1  A2 A1 A0    2
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 ORAX   rpa  (A)<-(A)&((rpa))      0  1  1  1  0  0  0  0     1  0  0  1  1  A2 A1 A0    2
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD

 Instruction Set (cont).
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
                                             Operation Code
                                  DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
                                             B1                        B2
                                             DD                        DD               
                                             B3                        B4               
                                                                                                Skip                      
 Mnemonic  Operand  Operation      7  6  5  4  3  2  1  0     7  6  5  4  3  2  1  0    Bytes   Condition                  
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 8-Bit Arithmetic [Memory]  (cont)                                                                                     
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 XRAX   rpa  (A)<-(A)#((rpa))      0  1  1  1  0  0  0  0     1  0  0  1  0  A2 A1 A0    2
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 GTAX   rpa  (A)-((rpa))-1         0  1  1  1  0  0  0  0     1  0  1  0  1  A2 A1 A0    2      No borrow
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 LTAX   rpa  (A)-((rpa))           0  1  1  1  0  0  0  0     1  0  1  1  1  A2 A1 A0    2      Borrow
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 NEAX   rpa  (A)-((rpa))           0  1  1  1  0  0  0  0     1  1  1  0  1  A2 A1 A0    2      No zero
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 EQAX   rpa  (A)-((rpa))           0  1  1  1  0  0  0  0     1  1  1  1  1  A2 A1 A0    2      Zero
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 ONAX   rpa  (A)@((rpa))           0  1  1  1  0  0  0  0     1  1  0  0  1  A2 A1 A0    2      No zero
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 OFFAX  rpa  (A)@((rpa))           0  1  1  1  0  0  0  0     1  1  0  1  1  A2 A1 A0    2      Zero
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 Immediate Data
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 ADI    *A,byte  (A)<-(A)+byte     0  1  0  0  0  1  1  0           Data                 2
        DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
        r,byte   (r)<-(r)+byte     0  1  1  1  0  1  0  0     0  1  0  0  0  R2 R1 R0    3
                                   DDDDDDDDDDDDDDDDDDDDDD
                                         Data
        DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
        sr2,byte (sr2)<-(sr2)+byte 0  1  1  0  0  1  0  0     S3 1  0  0  0  S2 S1 S0    3
                                   DDDDDDDDDDDDDDDDDDDDDD
                                         Data
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 ACI    *A,byte (A)<-(A)+byte+(CY) 0  1  0  1  0  1  1  0           Data                 2
        DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
        r,byte  (r)<-(r)+byte+(CY) 0  1  1  1  0  1  0  0     0  1  0  1  0  R2 R1 R0    3
                                   DDDDDDDDDDDDDDDDDDDDDD
                                         Data
        DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
        sr2,byte (sr2)<-(sr2)+     0  1  1  0  0  1  0  0     S3 1  0  1  0  S2 S1 S0    3
                 byte+(CY)         DDDDDDDDDDDDDDDDDDDDDD
                                         Data
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 ADINC  *A,byte  (A)<-(A)+byte     0  0  1  0  0  1  1  0           Data                 2      No carry
        DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
        r,byte   (r)<-(r)+byte     0  1  1  1  0  1  0  0     0  0  1  0  0  R2 R1 R0    3      No carry
                                   DDDDDDDDDDDDDDDDDDDDDD
                                         Data
        DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
        sr2,byte (sr2)<-(sr2)+byte 0  1  1  0  0  1  0  0     S3 0  1  0  0  S2 S1 S0    3      No carry
                                   DDDDDDDDDDDDDDDDDDDDDD
                                         Data
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 SUI    *A,byte  (A)<-(A)-byte     0  1  1  0  0  1  1  0           Data                 2
        DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
        r,byte   (r)<-(r)-byte     0  1  1  1  0  1  0  0     0  1  1  0  0  R2 R1 R0    3
                                   DDDDDDDDDDDDDDDDDDDDDD
                                         Data
        DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
        sr2,byte (sr2)<-(sr2)-byte 0  1  1  0  0  1  0  0     S3 1  1  0  0  S2 S1 S0    3
                                   DDDDDDDDDDDDDDDDDDDDDD
                                         Data
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 SBI    *A,byte (A)<-(A)-byte-(CY) 0  1  1  1  0  1  1  0           Data                 2
        DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
        r,byte  (r)<-(r)-byte-(CY) 0  1  1  1  0  1  0  0     0  1  1  1  0  R2 R1 R0    3
                                   DDDDDDDDDDDDDDDDDDDDDD
                                         Data
        DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
        sr2,byte (sr2)<-(sr2)-     0  1  1  0  0  1  0  0     S3 1  1  1  0  S2 S1 S0    3
                     byte-(CY)     DDDDDDDDDDDDDDDDDDDDDD
                                         Data
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD

 Instruction Set (cont).
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
                                             Operation Code
                                  DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
                                             B1                        B2
                                             DD                        DD               
                                             B3                        B4               
                                                                                                Skip                      
 Mnemonic  Operand  Operation      7  6  5  4  3  2  1  0     7  6  5  4  3  2  1  0    Bytes   Condition                  
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 Immediate Data (cont)                                                                                     
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 SUINB  *A,byte  (A)<-(A)-byte     0  0  1  1  0  1  1  0           Data                 2      No borrow
        DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
        r,byte   (r)<-(r)-byte     0  1  1  1  0  1  0  0     0  0  1  1  0  R2 R1 R0    3      No borrow
                                   DDDDDDDDDDDDDDDDDDDDDD
                                         Data
        DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
        sr2,byte (sr2)<-(sr2)-byte 0  1  1  0  0  1  0  0     S3 0  1  1  0  S2 S1 S0    3      No borrow
                                   DDDDDDDDDDDDDDDDDDDDDD
                                         Data
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 ANI    *A,byte  (A)<-(A)@byte     0  0  0  0  0  1  1  1           Data                 2
        DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
        r,byte   (r)<-(r)@byte     0  1  1  1  0  1  0  0     0  0  0  0  1  R2 R1 R0    3
                                   DDDDDDDDDDDDDDDDDDDDDD
                                         Data
        DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
        sr2,byte (sr2)<-(sr2)@byte 0  1  1  0  0  1  0  0     S3 0  0  0  1  S2 S1 S0    3
                                   DDDDDDDDDDDDDDDDDDDDDD
                                         Data
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 ORI    *A,byte  (A)<-(A)&byte     0  0  0  1  0  1  1  1           Data                 2
        DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
        r,byte   (r)<-(r)&byte     0  1  1  1  0  1  0  0     0  0  0  1  1  R2 R1 R0    3
                                   DDDDDDDDDDDDDDDDDDDDDD
                                         Data
        DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
        sr2,byte (sr2)<-(sr2)&byte 0  1  1  0  0  1  0  0     S3 0  0  1  1  S2 S1 S0    3
                                   DDDDDDDDDDDDDDDDDDDDDD
                                         Data
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 XRI    *A,byte  (A)<-(A)#byte     0  0  0  1  0  1  1  0           Data                 2
        DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
        r,byte   (r)<-(r)#byte     0  1  1  1  0  1  0  0     0  0  0  1  0  R2 R1 R0    3
                                   DDDDDDDDDDDDDDDDDDDDDD
                                         Data
        DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
        sr2,byte (sr2)<-(sr2)#byte 0  1  1  0  0  1  0  0     S3 0  0  1  0  S2 S1 S0    3
                                   DDDDDDDDDDDDDDDDDDDDDD
                                         Data
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 GTI    *A,byte  (A)-byte-1        0  0  1  0  0  1  1  1           Data                 2      No borrow
        DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
        r,byte   (r)-byte-1        0  1  1  1  0  1  0  0     0  0  1  0  1  R2 R1 R0    3      No borrow
                                   DDDDDDDDDDDDDDDDDDDDDD
                                         Data
        DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
        sr2,byte (sr2)-byte-1      0  1  1  0  0  1  0  0     S3 0  1  0  1  S2 S1 S0    3      No borrow
                                   DDDDDDDDDDDDDDDDDDDDDD
                                         Data
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 LTI    *A,byte  (A)-byte          0  0  1  1  0  1  1  1           Data                 2      Borrow
        DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
        r,byte   (r)-byte          0  1  1  1  0  1  0  0     0  0  1  1  1  R2 R1 R0    3      Borrow
                                   DDDDDDDDDDDDDDDDDDDDDD
                                         Data
        DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
        sr2,byte (sr2)-byte        0  1  1  0  0  1  0  0     S3 0  1  1  1  S2 S1 S0    3      Borrow
                                   DDDDDDDDDDDDDDDDDDDDDD
                                         Data
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 NEI    *A,byte  (A)-byte          0  1  1  0  0  1  1  1           Data                 2      No zero
        DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
        r,byte   (r)-byte          0  1  1  1  0  1  0  0     0  1  1  0  1  R2 R1 R0    3      No zero
                                   DDDDDDDDDDDDDDDDDDDDDD
                                         Data
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 
 Instruction Set (cont).
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
                                             Operation Code
                                  DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
                                             B1                        B2
                                             DD                        DD               
                                             B3                        B4               
                                                                                                Skip                      
 Mnemonic  Operand  Operation      7  6  5  4  3  2  1  0     7  6  5  4  3  2  1  0    Bytes   Condition                  
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 Immediate Data (cont)                                                                                     
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 NEI    sr2,byte (sr2)-byte        0  1  1  0  0  1  0  0     S3 1  1  0  1  S2 S1 S0    3      No zero
                                   DDDDDDDDDDDDDDDDDDDDDD
                                         Data
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 EQI    *A,byte  (A)-byte          0  1  1  1  0  1  1  1           Data                 2      Zero
        DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
        r,byte   (r)-byte          0  1  1  1  0  1  0  0     0  1  1  1  1  R2 R1 R0    3      Zero
                                   DDDDDDDDDDDDDDDDDDDDDD
                                         Data
        DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
        sr2,byte (sr2)-byte        0  1  1  0  0  1  0  0     S3 1  1  1  1  S2 S1 S0    3      Zero
                                   DDDDDDDDDDDDDDDDDDDDDD
                                         Data
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 ONI    *A,byte  (A)@byte          0  1  0  0  0  1  1  1           Data                 2      No zero
        DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
        r,byte   (r)@byte          0  1  1  1  0  1  0  0     0  1  0  0  1  R2 R1 R0    3      No zero
                                   DDDDDDDDDDDDDDDDDDDDDD
                                         Data
        DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
        sr2,byte (sr2)@byte        0  1  1  0  0  1  0  0     S3 1  0  0  1  S2 S1 S0    3      No zero
                                   DDDDDDDDDDDDDDDDDDDDDD
                                         Data
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 OFFI   *A,byte  (A)@byte          0  1  0  1  0  1  1  1           Data                 2      Zero
        DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
        r,byte   (r)@byte          0  1  1  1  0  1  0  0     0  1  0  1  1  R2 R1 R0    3      Zero
                                   DDDDDDDDDDDDDDDDDDDDDD
                                         Data
        DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
        sr2,byte (sr2)@byte        0  1  1  0  0  1  0  0     S3 1  0  1  1  S2 S1 S0    3      Zero
                                   DDDDDDDDDDDDDDDDDDDDDD
                                         Data
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 Working Register
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 ADDW   wa  (A)<-(A)+((V)*(wa))    0  1  1  1  0  1  0  0     1  1  0  0  0  0  0  0     3
                                   DDDDDDDDDDDDDDDDDDDDDD
                                         Offset
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 ADCW   wa  (A)<-(A)+((V)*(wa))+   0  1  1  1  0  1  0  0     1  1  0  1  0  0  0  0     3
                 (CY)              DDDDDDDDDDDDDDDDDDDDDD
                                         Offset
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 ADDNCW wa  (A)<-(A)+((V)*(wa))    0  1  1  1  0  1  0  0     1  0  1  0  0  0  0  0     3      No carry
                                   DDDDDDDDDDDDDDDDDDDDDD
                                         Offset
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 SUBW   wa  (A)<-(A)-((V)*(wa))    0  1  1  1  0  1  0  0     1  1  1  0  0  0  0  0     3
                                   DDDDDDDDDDDDDDDDDDDDDD
                                         Offset
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 SBBW   wa  (A)<-(A)-((V)*(wa))-   0  1  1  1  0  1  0  0     1  1  1  1  0  0  0  0     3
                 (CY)              DDDDDDDDDDDDDDDDDDDDDD
                                         Offset
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 SUBNBW wa  (A)<-(A)-((V)*(wa))    0  1  1  1  0  1  0  0     1  0  1  1  0  0  0  0     3      No borrow
                                   DDDDDDDDDDDDDDDDDDDDDD
                                         Offset
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 ANAW   wa  (A)<-(A)@((V)*(wa))    0  1  1  1  0  1  0  0     1  0  0  0  1  0  0  0     3
                                   DDDDDDDDDDDDDDDDDDDDDD
                                         Offset
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD

 Instruction Set (cont).
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
                                             Operation Code
                                  DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
                                             B1                        B2
                                             DD                        DD               
                                             B3                        B4               
                                                                                                Skip                      
 Mnemonic  Operand  Operation      7  6  5  4  3  2  1  0     7  6  5  4  3  2  1  0    Bytes   Condition                  
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 Working Register  (cont)                                                                                     
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 ORAW   wa  (A)<-(A)&((V)*(wa))    0  1  1  1  0  1  0  0     1  0  0  1  1  0  0  0     3
                                   DDDDDDDDDDDDDDDDDDDDDD
                                         Offset
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 XRAW   wa  (A)<-(A)#((V)*(wa))    0  1  1  1  0  1  0  0     1  0  0  1  0  0  0  0     3
                                   DDDDDDDDDDDDDDDDDDDDDD
                                         Offset
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 GTAW   wa  (A)-((V)*(wa))-1       0  1  1  1  0  1  0  0     1  0  1  0  1  0  0  0     3      No borrow
                                   DDDDDDDDDDDDDDDDDDDDDD
                                         Offset
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 LTAW   wa  (A)-((V)*(wa))         0  1  1  1  0  1  0  0     1  0  1  1  1  0  0  0     3      Borrow
                                   DDDDDDDDDDDDDDDDDDDDDD
                                         Offset
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 NEAW   wa  (A)-((V)*(wa))         0  1  1  1  0  1  0  0     1  1  1  0  1  0  0  0     3      No zero
                                   DDDDDDDDDDDDDDDDDDDDDD
                                         Offset
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 EQAW   wa  (A)-((V)*(wa))         0  1  1  1  0  1  0  0     1  1  1  1  1  0  0  0     3      Zero
                                   DDDDDDDDDDDDDDDDDDDDDD
                                         Offset
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 ONAW   wa  (A)@((V)*(wa))         0  1  1  1  0  1  0  0     1  1  0  0  1  0  0  0     3      No zero
                                   DDDDDDDDDDDDDDDDDDDDDD
                                         Offset
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 OFFAW  wa  (A)@((V)*(wa))         0  1  1  1  0  1  0  0     1  1  0  1  1  0  0  0     3      Zero
                                   DDDDDDDDDDDDDDDDDDDDDD
                                         Offset
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 ANIW   *wa,byte ((V)*(wa))<-      0  0  0  0  0  1  0  1           Offset               3
                 ((V)*(wa))@byte   DDDDDDDDDDDDDDDDDDDDDD     DDDDDDDDDDDDDDDDDDDDDD
                                         Data
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 ORIW   *wa,byte ((V)*(wa))<-      0  0  0  1  0  1  0  1           Offset               3
                 ((V)*(wa))&byte   DDDDDDDDDDDDDDDDDDDDDD     DDDDDDDDDDDDDDDDDDDDDD
                                         Data
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 GTIW   *wa,byte ((V)*(wa))-byte-  0  0  1  0  0  1  0  1           Offset               3      No borrow
                            1      DDDDDDDDDDDDDDDDDDDDDD     DDDDDDDDDDDDDDDDDDDDDD
                                         Data
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 LTIW   *wa,byte ((V)*(wa))-byte   0  0  1  1  0  1  0  1           Offset               3      Borrow
                                   DDDDDDDDDDDDDDDDDDDDDD     DDDDDDDDDDDDDDDDDDDDDD
                                         Data
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 NEIW   *wa,byte ((V)*(wa))-byte   0  1  1  0  0  1  0  1           Offset               3      No zero
                                   DDDDDDDDDDDDDDDDDDDDDD     DDDDDDDDDDDDDDDDDDDDDD
                                         Data
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 EQIW   *wa,byte ((V)*(wa))-byte   0  1  1  1  0  1  0  1           Offset               3      Zero
                                   DDDDDDDDDDDDDDDDDDDDDD     DDDDDDDDDDDDDDDDDDDDDD
                                         Data
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 ONIW   *wa,byte ((V)*(wa))@byte   0  1  0  0  0  1  0  1           Offset               3      No zero
                                   DDDDDDDDDDDDDDDDDDDDDD     DDDDDDDDDDDDDDDDDDDDDD
                                         Data
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 OFFIW   *wa,byte ((V)*(wa))@byte   0  1  0  1  0  1  0  1           Offset               3      Zero
                                   DDDDDDDDDDDDDDDDDDDDDD     DDDDDDDDDDDDDDDDDDDDDD
                                         Data
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD

 Instruction Set (cont).
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
                                             Operation Code
                                  DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
                                             B1                        B2
                                             DD                        DD               
                                             B3                        B4               
                                                                                                Skip                      
 Mnemonic  Operand  Operation      7  6  5  4  3  2  1  0     7  6  5  4  3  2  1  0    Bytes   Condition                  
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 16-Bit Arithmetic                                                                                     
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 EADD   EA,r2  (EA)<-(EA)+(r2)     0  1  1  1  0  0  0  0     0  1  0  0  0  0  R1 R0    2 
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 DADD   EA,rp3 (EA)<-(EA)+(rp3)    0  1  1  1  0  1  0  0     1  1  0  0  0  1  P1 P0    2 
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 DADC EA,rp3 (EA)<-(EA)+(rp3)+(CY) 0  1  1  1  0  1  0  0     1  1  0  1  0  1  P1 P0    2 
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 DADDNC EA,rp3 (EA)<-(EA)+(rp3)    0  1  1  1  0  1  0  0     1  0  1  0  0  1  P1 P0    2      No carry
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 ESUB   EA,r2  (EA)<-(EA)-(r2)     0  1  1  1  0  0  0  0     0  1  1  0  0  0  R1 R0    2 
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 DSUB   EA,rp3 (EA)<-(EA)-(rp3)    0  1  1  1  0  1  0  0     1  1  1  0  0  1  P1 P0    2 
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 DSBB EA,rp3 (EA)<-(EA)-(rp3)-(CY) 0  1  1  1  0  1  0  0     1  1  1  1  0  1  P1 P0    2 
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 DSUBNB EA,rp3 (EA)<-(EA)-(rp3)    0  1  1  1  0  1  0  0     1  0  1  1  0  1  P1 P0    2      No borrow
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 DAN    EA,rp3 (EA)<-(EA)@(rp3)    0  1  1  1  0  1  0  0     1  0  0  0  1  1  P1 P0    2 
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 DOR    EA,rp3 (EA)<-(EA)&(rp3)    0  1  1  1  0  1  0  0     1  0  0  1  1  1  P1 P0    2 
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 DXR    EA,rp3 (EA)<-(EA)#(rp3)    0  1  1  1  0  1  0  0     1  0  0  1  0  1  P1 P0    2 
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 DGT    EA,rp3 (EA)-(rp3)-1        0  1  1  1  0  1  0  0     1  0  1  0  1  1  P1 P0    2      No borrow
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 DLT    EA,rp3 (EA)-(rp3)          0  1  1  1  0  1  0  0     1  0  1  1  1  1  P1 P0    2      Borrow
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 DNE    EA,rp3 (EA)-(rp3)          0  1  1  1  0  1  0  0     1  1  1  0  1  1  P1 P0    2      No zero
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 DEQ    EA,rp3 (EA)-(rp3)          0  1  1  1  0  1  0  0     1  1  1  1  1  1  P1 P0    2      Zero
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 DON    EA,rp3 (EA)@(rp3)          0  1  1  1  0  1  0  0     1  1  0  0  1  1  P1 P0    2      No zero
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 DOFF   EA,rp3 (EA)@(rp3)          0  1  1  1  0  1  0  0     1  1  0  1  1  1  P1 P0    2      Zero
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 Multiply/Divide
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 MUL    r2     (EA)<-(A)x(r2)      0  1  0  0  1  0  0  0     0  0  1  0  1  1  R1 R0    2
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 DIV    r2     (EA)<-(EA)/(r2)     0  1  0  0  1  0  0  0     0  0  1  1  1  1  R1 R0    2
               (r2)<-Remainder
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 Increment/Decrement
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 INR    r2     (r2)<-(r2)+1        0  1  0  0  0  0  R1 R0                               1      Carry
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 INRW *wa ((V)*(wa))<-((V)*(wa))+1 0  1  0  0  0  0  0  0           Offset               2      Carry
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 INX    rp      (rp)<-(rp)+1       0  0  P1 P0 0  0  1  0                                1
        DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
        EA      (EA)<-(EA)+1       1  0  1  0  1  0  0  0                                1
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 DCR    r2     (r2)<-(r2)-1        0  1  0  1  0  0  R1 R0                               1      Borrow
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 DCRW *wa ((V)*(wa))<-((V)*(wa))-1 0  0  1  1  0  0  0  0           Offset               2      Borrow
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 DCX    rp      (rp)<-(rp)-1       0  0  P1 P0 0  0  1  1                                1
        DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
        EA      (EA)<-(EA)-1       1  0  1  0  1  0  0  1                                1
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 Others
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 DAA    Decimal Adjust Accumulator 0  1  1  0  0  0  0  1                                1
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 STC       (CY)<-1                 0  1  0  0  1  0  0  0     0  0  1  0  1  0  1  1     2
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 CLC       (CY)<-0                 0  1  0  0  1  0  0  0     0  0  1  0  1  0  1  0     2
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD

 Instruction Set (cont).
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
                                             Operation Code
                                  DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
                                             B1                        B2
                                             DD                        DD               
                                             B3                        B4               
                                                                                                Skip                      
 Mnemonic  Operand  Operation      7  6  5  4  3  2  1  0     7  6  5  4  3  2  1  0    Bytes   Condition                  
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 Others (cont)                                                                                     
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 NEGA        (A)<-not(A)+1         0  1  0  0  1  0  0  0     0  0  1  1  1  0  1  0     2
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 Rotate and Shift
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 RLD    Rotate left digit          0  1  0  0  1  0  0  0     0  0  1  1  1  0  0  0     2
        (A3-0)<-((HL))7-4,((HL))7-4<-((HL))3-0,((HL))3-0<-(A3-0)
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 RRD    Rotate right digit         0  1  0  0  1  0  0  0     0  0  1  1  1  0  0  1     2
        ((HL))7-4<-(A3-0),((HL))3-0<-((HL))7-4,(A3-0)<-((HL))3-0
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 RLL    r2                         0  1  0  0  1  0  0  0     0  0  1  1  0  1  R1 R0    2
        (r2m+1)<-(r2m),(r20)<-(CY),(CY)<-(r27)
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 RLR    r2                         0  1  0  0  1  0  0  0     0  0  1  1  0  0  R1 R0    2
        (r2m-1)<-(r2m),(r27)<-(CY),(CY)<-(r20)
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 SLL    r2                         0  1  0  0  1  0  0  0     0  0  1  0  0  1  R1 R0    2
        (r2m+1)<-(r2m),(r20)<-0,(CY)<-(r27)
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 SLR    r2                         0  1  0  0  1  0  0  0     0  0  1  0  0  0  R1 R0    2
        (r2m-1)<-(r2m),(r27)<-0,(CY)<-(r20)
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 SLLC   r2                         0  1  0  0  1  0  0  0     0  0  0  0  0  1  R1 R0    2      Carry
        (r2m+1)<-(r2m),(r20)<-0,(CY)<-(r27)
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 SLRC   r2                         0  1  0  0  1  0  0  0     0  0  0  0  0  0  R1 R0    2      Carry
        (r2m-1)<-(r2m),(r27)<-0,(CY)<-(r20)
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 DRLL   EA                         0  1  0  0  1  0  0  0     1  0  1  1  0  1  0  0     2
        (EAn+1)<-(EAn),(EA0)<-(CY),(CY)<-(EA15)
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 DRLR   EA                         0  1  0  0  1  0  0  0     1  0  1  1  0  0  0  0     2
        (EAn-1)<-(EAn),(EA15)<-(CY),(CY)<-(EA0)
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 DSLL   EA                         0  1  0  0  1  0  0  0     1  0  1  0  0  1  0  0     2
        (EAn+1)<-(EAn),(EA0)<-0,(CY)<-(EA15)
 DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
 DSLR   EA                         0  1  0  0  1  0  0  0     0  0  1  0  0  0  0  0     2
	| SRA EA
        (EAn-1)<-(EAn),(EA15)<-0,(CY)<-(EA0)
	| JMP addr    { op3(0b01010100, $2, $2 >> 8); }
	| JMP BC      { op1(0b00100001); }
	| JR addr     { int off = $2 - dot - 1;
	                mbz(off & ~0x3F);
	                op1(0b11000000 | off); }
	| JRE addr    { int off = $2 - dot - 2;
	                mbz(off & ~0x1FF);
	                op2(0b01001110 | (off >> 8), off); }
	| JMP EA      { op2(0b01001000, 0b00101000); }
	| CALL addr   { op3(0b01000000, $2, $2 >> 8); }
	| CALL BC     { op2(0b01001000, 0b00101001); }
	| CALF addr   { mbz($2 & 0xF000);
	                mbo($2 & 0x0800);
	                op2(0b01111000 | ($2 >> 8), $2); }
	| CALT index  { mbz($2 & ~0xF);
	                op1(0b10000000 | $2); }
	| SOFTI       { op1(0b01110010); }
	| RET         { op1(0b10111000); }
	| RETS        { op1(0b10111001); }
	| RETI        { op1(0b01100010); }
 Skip
 BIT    *bit,wa                    0  1  0  1  1  B2 B1 B0    <------ Offset ------>     2      Bit Test
            Skip if ((V)*(wa)) bit=1
 SK     f   Skip if f=1            0  1  0  0  1  0  0  0     0  0  0  0  1  F2 F1 F0    2      f=1
 SKN    f   Skip if f=0            0  1  0  0  1  0  0  0     0  0  0  1  1  F2 F1 F0    2      f=0
 SKIT   irf Skip if irf=1,         0  1  0  0  1  0  0  0     0  1  0  I4 I3 I2 I1 I0    2      irf=1
            then reset irf
 SKNIT  irf Skip if irf=0,         0  1  0  0  1  0  0  0     0  1  1  I4 I3 I2 I1 I0    2      irf=0
            reset irf if irf=1 and don't skip
	| NOP         { op1(0b00000000);
	| EI          { op1(0b10101010); }
	| DI          { op1(0b10111010); }
	| HLT         { op2(0b01001000, 0b00111011); }
	| STOP        { op2(0b01001000, 0b10111011); }
