
! Wed Mar 18 02:07:01 EET 1998, v0.1 (ascii/bcd fix)

! Prescaler 40/41
! 21.4MHz IF, highside injection
! ...
! 0x100 TX channels
! 0x200 RX channels


! patch 0x183a: 0xc3 0xd0 0x1f (jp 0x1fd0)
! patch 0x1f00: (this file)

font    = 0x0300	! rom byte table, page aligned
channel = 0x2028	! ram word
dpybuf  = 0x200d	! ram buffer, 9 bytes, reflected to leds by int.

	.org 0x1f00

freqtbl:			! page aligned

	.ascii "5600"	! 14xxxx kHz
	.ascii "5625"
	.ascii "5650"
	.ascii "5675"
	.ascii "5700"
	.ascii "5725"
	.ascii "5750"
	.ascii "5775"

	.ascii "5200"
	.ascii "5225"
	.ascii "5250"
	.ascii "5275"
	.ascii "5300"
	.ascii "5325"
	.ascii "5350"
	.ascii "5375"
	.ascii "5400"
	.ascii "5425"
	.ascii "5450"
	.ascii "5475"
	.ascii "5500"
	.ascii "5525"
	.ascii "5550"
	.ascii "5575"

	.ascii "4700"
	.ascii "4725"
	.ascii "4750"
	.ascii "4775"
	.ascii "4800"
	.ascii "4825"
	.ascii "4850"
	.ascii "4875"
	.ascii "4900"
	.ascii "4925"
	.ascii "4950"
	.ascii "4975"

	.org 0x1fce

prefix:

	.ascii "14"		! Prefix for every frequency, use "43" for 70 cm.

drawfreq:

	ld de, dpybuf		! of six digit codes

	ld hl, prefix

	call 1f				! 100 MHz
	call 1f				!  10 MHz

	ld hl, [channel]
	sla l				! channel * 2
	sla l				! channel * 4
	ld h, freqtbl / 256
	ld b, font / 256	! tables are aligned, nice

	call 1f				!   1 MHz
	call 1f				! 100 kHz
	call 1f				!  10 kHz
	call 1f				!   1 kHz

	jp 0x1a1f			! return to original code

1:
	ld a, [hl]
	inc hl
	sub '0'
	ld c, a
	ld a, [bc]
	ld [de], a
	inc de
	ret

